Class | Sequel::SQL::AliasedExpression
In: | lib/sequel/sql.rb
Parent: | Expression

Represents an aliasing of an expression/column to a given name.

### Methods

new

### Attributes

aliaz | [R] | The alias to use for the expression, not alias since that is a keyword in ruby.
expression | [R] | The expression to alias

### Public Class methods

new(expression, aliaz)

Create an object with the given expression and alias.

[Source]

         # File lib/sequel/sql.rb, line 402
    402:       def initialize(expression, aliaz)
    403:         @expression, @aliaz = expression, aliaz
    404:       end

[Validate]